commit:     031c0fbb084a87f1f5fc99db91f8c0d549c3eec9
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Dec  3 02:36:04 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Dec  3 02:36:04 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=031c0fbb

x11-terms/aterm: fix configure w/ clang 16

Signed-off-by: Sam James <sam <AT> gentoo.org>

 x11-terms/aterm/aterm-1.0.1-r6.ebuild              | 93 ++++++++++++++++++++++
 .../files/aterm-1.0.1-configure-clang16.patch      | 23 ++++++
 2 files changed, 116 insertions(+)

diff --git a/x11-terms/aterm/aterm-1.0.1-r6.ebuild 
b/x11-terms/aterm/aterm-1.0.1-r6.ebuild
new file mode 100644
index 000000000000..382b049ea5f1
--- /dev/null
+++ b/x11-terms/aterm/aterm-1.0.1-r6.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="rxvt compatible terminal emulator with transparency support"
+HOMEPAGE="http://aterm.sourceforge.net";
+SRC_URI="ftp://ftp.afterstep.org/apps/${PN}/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="background cjk xgetdefault"
+
+RDEPEND="
+       media-libs/libjpeg-turbo:0=
+       media-libs/libpng:0=
+       background? ( media-libs/libafterimage )
+       x11-libs/libX11
+       x11-libs/libXext
+       x11-libs/libICE
+"
+DEPEND="${RDEPEND}
+       x11-base/xorg-proto
+       x11-libs/libXt
+"
+
+PATCHES=(
+       # Security bug #219746
+       "${FILESDIR}/${P}-display-security-issue.patch"
+       "${FILESDIR}/${P}-deadkeys.patch"
+       "${FILESDIR}/${P}-dpy.patch"
+       "${FILESDIR}/${P}-remove-streams.patch"
+       "${FILESDIR}/${P}-configure-clang16.patch"
+)
+
+src_prepare() {
+       default
+
+       # fix pre-stripped files
+       sed -i -e "/INSTALL_PROGRAM/ s:-s::" autoconf/Make.common.in || die 
"sed Makefile failed"
+
+       # Clang 16
+       sed -i -e 's:configure.in:configure.ac:' Makefile.in || die
+       cd autoconf || die
+       mv configure.in configure.ac || die
+       eautoreconf
+}
+
+src_configure() {
+       local myconf
+
+       use cjk && myconf="$myconf
+               --enable-kanji
+               --enable-thai
+               --enable-big5"
+
+       case "${CHOST}" in
+               *-darwin*) myconf="${myconf} --enable-wtmp" ;;
+               *-interix*) ;;
+               *) myconf="${myconf} --enable-utmp --enable-wtmp"
+       esac
+
+       econf \
+               $(use_enable xgetdefault) \
+               $(use_with background afterimage-config "${EPREFIX}"/usr/bin) \
+               --with-terminfo="${EPREFIX}"/usr/share/terminfo \
+               --enable-transparency \
+               --with-x \
+               ${myconf}
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+
+       fowners root:utmp /usr/bin/aterm
+       fperms g+s /usr/bin/aterm
+
+       doman doc/aterm.1
+       dodoc ChangeLog doc/FAQ doc/README.*
+       docinto menu
+       dodoc doc/menu/*
+}
+
+pkg_postinst() {
+       echo
+       elog "The transparent background will only work if you have the 'real'"
+       elog "root wallpaper set. Some tools that might help include:"
+       elog "wmsetbg (x11-wm/windowmaker), and/or media-gfx/feh."
+       echo
+}

diff --git a/x11-terms/aterm/files/aterm-1.0.1-configure-clang16.patch 
b/x11-terms/aterm/files/aterm-1.0.1-configure-clang16.patch
new file mode 100644
index 000000000000..9faf68837d4e
--- /dev/null
+++ b/x11-terms/aterm/files/aterm-1.0.1-configure-clang16.patch
@@ -0,0 +1,23 @@
+Add missing int tpye, and avoid calling the undeclared exit function.
+Implicit ints and function declarations are language features removed
+in C99 and are likely to become unsupported (by default) in future
+compilers.
+
+--- a/autoconf/configure.in
++++ b/autoconf/configure.in
+@@ -615,12 +615,12 @@
+ [#define X_LOCALE 1
+ #include <X11/Xlocale.h>
+ #include <X11/Xlib.h>
+-main() {
++int main() {
+ char *p;
+ if ((p = XSetLocaleModifiers("@im=none")) != NULL && *p)
+-exit (XSupportsLocale() ? 0 : 1);
++return XSupportsLocale() ? 0 : 1;
+ else
+-exit (1);}
++return 1;}
+ ],rxvt_cv_func_xlocale=yes, rxvt_cv_func_xlocale=no,
+ AC_MSG_WARN([Define NO_XLOCALE in config.h manually]))])
+ 

Reply via email to